### Name: portfolioFrontier
### Title: Efficient Portfolio Frontier
### Aliases: portfolioFrontier
### Keywords: models

### ** Examples

## portfolioFrontier -
   
   # Load Data and Convert to timeSeries Object:
   Data = as.timeSeries(data(smallcap.ts))
   Data = Data[, c("BKE", "GG", "GYMB", "KRON")]
   Data
   
   # Set Default Specifications:
   Spec = portfolioSpec()
   Spec
   setNFrontierPoints = 10
   
   # Allow for unlimited Short Selling:
   Constraints = "LongOnly"
   
   # Compute 10 points efficient frontier:
   portfolioFrontier(Data, Spec, Constraints)  



